<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>Simple PHP HoneyPot | Tutorial | { visibility: inherit; }</title>
<link rel="shortcut icon" href="/favicon.ico" type="image/x-icon">
<link href="/styles.css" rel="stylesheet" type="text/css" media="screen">
<link href="/styles-alt.css" rel="alternate stylesheet" type="text/css" media="screen" title="styles-alt">
</head>

<body id="code">
<div id="wrapper">
<div id="header"><?php include("../includes/heading.php"); ?></div>
<div id="nav">
<?php include("../includes/nav.php"); ?>
</div>
<div id="content">
<em id="date">1/03/2013</em>
<h1>Simple PHP HoneyPot</h1>
<p><a href="simple-php-honeypot-demo.php">Here is a working Demo <b>&raquo;</b></a></p>
<p>As usual I've made this dead simple. The honeypot works by, hiding the input from human visitors, but not the spambots. The spambots fill it in just like any other input which tells the PHP or JS Validation that it's spam and prevents the email from sending. Spambot programmers I'm sure are somewhat privy to this by now, so I would call the input something unsuspecting so the bot fills it in and does not become wise to your ways. Placeholder is in place so that if CSS is off the human user knows not to fill it in (so again may want to say something more general here). And autocomplete off is in place so that the human users browser does not by mistake fill in the hidden input.</p>
<h2>The PHP</h2>
<pre>
&lt;?php
   <span>// HoneyPot PHP</span>
   <strong>if($_POST['honeypot'] != ''){
   die("You spammer!");
   }</strong>
   <span>// Just to test PHP</span>
   mail('your@email.com', 'test', 'email');
?&gt;
</pre>
<h2>The CSS</h2>
<pre>
#honeypot {
display:none;
}
</pre>
<h2>The HTML</h2>
<pre>
&lt;input type="text" id="honeypot" name="honeypot" placeholder="Leave Blank If Human" autocomplete="off"&gt;
</pre>

<?php include("http://www.visibilityinherit.com/includes/paypal.php"); ?>
<?php include("http://www.visibilityinherit.com/includes/disqus.php"); ?>
<?php include("http://www.visibilityinherit.com/includes/search.php"); ?>
</div>
<div id="clearfooter"></div>
<?php include("http://www.visibilityinherit.com/includes/ads.php"); ?>
</div>
<div id="footer">
<div id="footerborder"></div>
<?php include("../includes/footer.php"); ?>
</div>
<script src="/javascript/styleswitch.js" type="text/javascript"></script>
</body>
</html>
